mscorlib 2.0.0.0 4.0.0.0 System.Enum

For more information about the DESCKIND enumeration, see the MSDN Library.

The common language runtime throws an exception when a COM method in native code returns an HRESULT. For more information, see How to: Map HRESULTs and Exceptions.

Identifies the type description being bound to.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.DESCKIND

  Indicates that a structure was returned.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.DESCKIND

  Indicates that an IMPLICITAPPOBJ was returned.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.DESCKIND

  Indicates an end-of-enumeration marker.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.DESCKIND

  Indicates that no match was found.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.DESCKIND

  Indicates that a TYPECOMP was returned.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.DESCKIND

  Indicates that a VARDESC was returned.